/*       2SUP2COR.C - Desenha o grafico de duas superficies
		      (2 cores, fundo branco)                         */

#include "graf3d.c"
#include "equacoes.c"

void main(void) {
  int fronteira_F_1 = 1,   /* Cor da fronteira de F (parte de cima)       */
      fronteira_F_2 = 1,   /* Cor da fronteira de F (parte de baixo)      */
      cor_F_1 = 15,        /* Cor 1 da superficie F (parte de cima)       */
      cor_F_2 = 1,         /* Cor 2 da superficie F (parte de cima)       */
      padrao_F_1 = 255,     /* Padrao de bits para mistura das cores 1 e 2 */
      cor_F_3 = 15,        /* Cor 3 da superficie F (parte de baixo)      */
      cor_F_4 = 1,         /* Cor 4 da superficie F (parte de baixo)      */
      padrao_F_2 = 255,    /* Padrao de bits para mistura das cores 3 e 4 */
      fronteira_G_1 = 4,   /* Cor da fronteira de G (parte de cima)       */
      fronteira_G_2 = 4,   /* Cor da fronteira de G (parte de baixo)      */
      cor_G_1 = 15,        /* Cor 1 da superficie G (parte de baixo)      */
      cor_G_2 = 1,         /* Cor 2 da superficie G (parte de baixo)      */
      padrao_G_1 = 255,    /* Padrao de bits para mistura das cores 1 e 2 */
      cor_G_3 = 15,        /* Cor 3 da superficie G (parte de baixo)      */
      cor_G_4 = 1,         /* Cor 4 da superficie G (parte de baixo)      */
      padrao_G_2 = 255,     /* Padrao de bits para mistura das cores 3 e 4 */
      cor_de_fundo = 15;   /* Cor de fundo                                */

  IniciaModoGrafico();
  X_CENTRO = getmaxx()/2, Y_CENTRO = getmaxy()/2;

  #include "ajustes.c"

  padrao_F_1 = padrao_F_2 = padrao_G_1 = padrao_G_2 = 255;
  setbkcolor(cor_de_fundo);
  cleardevice();

  Desenha2Superficies(f1, f2, f3, Ret1.xmin, Ret1.xmax, Ret1.ymin, Ret1.ymax,
		      fronteira_F_1,     fronteira_F_2,   cor_F_1,   cor_F_2,
		      cor_F_3, cor_F_4,     padrao_F_1,    padrao_F_2,
		      g1, g2, g3, Ret2.xmin, Ret2.xmax, Ret2.ymin, Ret2.ymax,
		      fronteira_G_1,     fronteira_G_2,   cor_G_1,   cor_G_2,
		      cor_G_3,    cor_G_4,    padrao_G_1,    padrao_G_2 );
  getch();
  closegraph();
}

/*** FIM DE 2SUP2COR.C ***/
